#include "mainwindow.h"
#include <QVBoxLayout>
#include <QGridLayout>
#include <QLabel>

MainWindow::MainWindow(QWidget *parent)
    : QWidget(parent)
{
    QGridLayout *hauptLayout=new QGridLayout(this);
    hauptLayout->addWidget(glZeiger=new OpenGLBaumZeiger(this),0,0,2,2);
    hauptLayout->addWidget(new QLabel(tr("Angle: ")),2,0);
    hauptLayout->addWidget(winkelSchieber = new QSlider(Qt::Horizontal,this),2,1);
    winkelSchieber->setRange(15,90);
    winkelSchieber->setValue(glZeiger->gebeWinkel());
    connect(winkelSchieber,SIGNAL(valueChanged(int)),glZeiger,SLOT(setzeWinkel(int)));

    hauptLayout->addWidget(new QLabel(tr("Angle Skal: ")),3,0);
    hauptLayout->addWidget(winkelSkalSchieber = new QSlider(Qt::Horizontal,this),3,1);
    winkelSkalSchieber->setRange(10,100);
    winkelSkalSchieber->setValue(glZeiger->gebeWinkelSkal());
    connect(winkelSkalSchieber,SIGNAL(valueChanged(int)),glZeiger,SLOT(setzeWinkelSkal(int)));

    hauptLayout->addWidget(new QLabel(tr("Length: ")),4,0);
    hauptLayout->addWidget(laengenSchieber = new QSlider(Qt::Horizontal,this),4,1);
    laengenSchieber->setRange(10,100);
    laengenSchieber->setValue(glZeiger->gebeLaenge());
    connect(laengenSchieber,SIGNAL(valueChanged(int)),glZeiger,SLOT(setzeLaenge(int)));

    hauptLayout->addWidget(new QLabel(tr("Length Red.: ")),5,0);
    hauptLayout->addWidget(laengenRedSchieber = new QSlider(Qt::Horizontal,this),5,1);
    laengenRedSchieber->setRange(10,100);
    laengenRedSchieber->setValue(glZeiger->gebeVerkuerzung());
    connect(laengenRedSchieber,SIGNAL(valueChanged(int)),glZeiger,SLOT(setzeVerkuerzung(int)));

    hauptLayout->addWidget(new QLabel(tr("Rek. Depth: ")),6,0);
    hauptLayout->addWidget(rekTiefeSchieber = new QSlider(Qt::Horizontal,this),6,1);
    rekTiefeSchieber->setRange(1,10);
    rekTiefeSchieber->setValue(glZeiger->gebeRekTiefe());
    connect(rekTiefeSchieber,SIGNAL(valueChanged(int)),glZeiger,SLOT(setzeRekTiefe(int)));
}

MainWindow::~MainWindow()
{

}
